ENameSelectorEntry
3
LIBEDATASERVERUI Library

# ENameSelectorEntry

## Synopsis

    #define             MINIMUM_QUERY_LENGTH
    typedef             ENameSelectorEntry;
    ENameSelectorEntry* e_name_selector_entry_new           (void);
    EContactStore*      e_name_selector_entry_peek_contact_store
                                                            (ENameSelectorEntry *name_selector_entry);
    void                e_name_selector_entry_set_contact_store
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             EContactStore *contact_store);
    EDestinationStore*  e_name_selector_entry_peek_destination_store
                                                            (ENameSelectorEntry *name_selector_entry);
    void                e_name_selector_entry_set_destination_store
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             EDestinationStore *destination_store);
    void                e_name_selector_entry_set_contact_editor_func
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             gpointer func);
    void                e_name_selector_entry_set_contact_list_editor_func
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             gpointer func);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkEntry
                               +----ENameSelectorEntry
                                     +----ENameSelectorList

## Implemented Interfaces

ENameSelectorEntry implements AtkImplementorIface, GtkEditable and GtkCellEditable.

## Signals

      "updated"                                        : Run First

## Description

## Details

### MINIMUM_QUERY_LENGTH

    #define MINIMUM_QUERY_LENGTH "/apps/evolution/addressbook/completion/minimum_query_length"

### ENameSelectorEntry

    typedef struct ENameSelectorEntry      ENameSelectorEntry;

### e_name_selector_entry_new ()

    ENameSelectorEntry* e_name_selector_entry_new           (void);

Creates a new ENameSelectorEntry.

Returns :

  A new ENameSelectorEntry.

### e_name_selector_entry_peek_contact_store ()

    EContactStore*      e_name_selector_entry_peek_contact_store
                                                            (ENameSelectorEntry *name_selector_entry);

Gets the EContactStore being used by `name_selector_entry`.

`name_selector_entry` :

  an ENameSelectorEntry

Returns :

  An EContactStore.

### e_name_selector_entry_set_contact_store ()

    void                e_name_selector_entry_set_contact_store
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             EContactStore *contact_store);

Sets the EContactStore being used by `name_selector_entry` to `contact_store`.

`name_selector_entry` :

  an ENameSelectorEntry

`contact_store` :

  an EContactStore to use

### e_name_selector_entry_peek_destination_store ()

    EDestinationStore*  e_name_selector_entry_peek_destination_store
                                                            (ENameSelectorEntry *name_selector_entry);

Gets the EDestinationStore being used to store `name_selector_entry`'s destinations.

`name_selector_entry` :

  an ENameSelectorEntry

Returns :

  An EDestinationStore.

### e_name_selector_entry_set_destination_store ()

    void                e_name_selector_entry_set_destination_store
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             EDestinationStore *destination_store);

Sets `destination_store` as the EDestinationStore to be used to store destinations for `name_selector_entry`.

`name_selector_entry` :

  an ENameSelectorEntry

`destination_store` :

  an EDestinationStore to use

### e_name_selector_entry_set_contact_editor_func ()

    void                e_name_selector_entry_set_contact_editor_func
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             gpointer func);

DO NOT USE.

`name_selector_entry` :

`func` :

### e_name_selector_entry_set_contact_list_editor_func ()

    void                e_name_selector_entry_set_contact_list_editor_func
                                                            (ENameSelectorEntry *name_selector_entry,
                                                             gpointer func);

DO NOT USE.

`name_selector_entry` :

`func` :

## Signal Details

### The "updated" signal

    void                user_function                      (ENameSelectorEntry *enameselectorentry,
                                                            gpointer            arg1,
                                                            gpointer            user_data)               : Run First

`enameselectorentry` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.